package com.example.vdcscore.models;

import java.util.ArrayList;
import java.util.List;

public class Jornada {
    private String id;
    private int number;
    private List<Game> games;
    private boolean isCurrent;

    public Jornada() {
        // Required for Firebase
        this.games = new ArrayList<>();
    }

    public Jornada(String id, int number) {
        this.id = id;
        this.number = number;
        this.games = new ArrayList<>();
        this.isCurrent = false;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public int getNumber() {
        return number;
    }

    public void setNumber(int number) {
        this.number = number;
    }

    public List<Game> getGames() {
        return games;
    }

    public void setGames(List<Game> games) {
        this.games = games;
    }

    public boolean isCurrent() {
        return isCurrent;
    }

    public void setCurrent(boolean current) {
        isCurrent = current;
    }
}//so commit
